// Этот пример является общедоступным.                           // www.ladyada.net/learn/sensors/thermocouple
                                                                 // Переведено www.iarduino.ru
#include          <max6675.h>                                    // Подключаем библиотеку max6675 для работы с датчиком температуры 
#include          <Wire.h>                                       // Подключаем библиотеку для работы с шиной I2C
#include          <LiquidCrystal_I2C.h>                          // Подключаем библиотеку для работы с LCD дисплеем по шине I2C
const uint8_t     thermoDO  = 4;                                 // Определяем константу с указанием № вывода Arduino к которому подключён вывод DO  ( SO, MISO ) модуля на чипе MAX6675
const uint8_t     thermoCS  = 5;                                 // Определяем константу с указанием № вывода Arduino к которому подключён вывод CS  ( SS )       модуля на чипе MAX6675
const uint8_t     thermoCLK = 6;                                 // Определяем константу с указанием № вывода Arduino к которому подключён вывод CLK ( SCK )      модуля на чипе MAX6675
uint8_t           degree[8] = {140,146,146,140,128,128,128,128}; // Определяем массив хрянящий биты символа градуса
MAX6675           thermo(thermoCLK, thermoCS, thermoDO);         // Объявляем объект thermo для работы с функциями и методами библиотеки MAX6675, указывая выводы ( CLK , CS , DO )
LiquidCrystal_I2C lcd(0x27,16,2);                                // Объявляем объект библиотеки, указывая параметры дисплея (адрес I2C = 0x27, количество столбцов = 16, количество строк = 2)
                                                                 // Если на дисплее не появился текст, то замените адрес 0x27 на 0x3F
void setup(){                                                    //
    lcd.init();                                                  // Инициируем работу с LCD дисплеем
    lcd.backlight();                                             // Включаем подсветку LCD дисплея
    lcd.createChar(1, degree);                                   // Загружаем массив с символом градуса «°» в 1 ячейку ОЗУ дисплея
    lcd.clear();                                                 // Чистим экран
    lcd.setCursor(0, 0);                                         // Устанавливаем курсор в позицию (0 столбец, 0 строка)
    lcd.print("MAX6675");                                        // Выводим текст "MAX6675", начиная с установленной позиции курсора
    lcd.setCursor(0, 1);                                         // Устанавливаем курсор в позицию (0 столбец, 1 строка)
    lcd.print("www.iarduino.ru");                                // Выводим текст "www.iarduino.ru", начиная с установленной позиции курсора
    delay(500);                                                  // Ждём завершения переходных процессов датчика температуры после подачи питания
}                                                                //
                                                                 //
void loop(){                                                     //
    lcd.setCursor(0, 1); lcd.print( "                "      );   // Устанавливаем курсор в позицию (0 столбец, 1 строка) и выводим текст из 16 пробелов (чистим нижнюю строку)
    lcd.setCursor(0, 1); lcd.print( thermo.readCelsius()    );   // Устанавливаем курсор в позицию (0 столбец, 1 строка) и выводим температуру в °C
                         lcd.print( "\1C, "                 );   // Выводим текст "°C, " (символ «°» записан ранее в 1 ячейку ОЗУ дисплея, по этому он выводится как символ с кодом 1 => пишем "\1")
                         lcd.print( thermo.readFahrenheit() );   // Выводим температуру в °F
                         lcd.print( "\1F"                   );   // Выводим текст "°F"   (символ «°» записан ранее в 1 ячейку ОЗУ дисплея, по этому он выводится как символ с кодом 1 => пишем "\1")
    delay(1000);                                                 // Ждём 1 секунду
}                                                                //